#### Previous topic

scipy.special.ive

#### Next topic

scipy.special.hankel1e

# scipy.special.hankel1

`scipy.special.``hankel1`(v, z) = <ufunc 'hankel1'>

  Hankel function of the first kind

  Parameters:

  v : array_like

  > Order (float).

  z : array_like

  > Argument (float or complex).

  Returns: | out : Values of the Hankel function of the first kind.

  See also

  `hankel1e`
    this function with leading exponential behavior stripped off.

  Notes

  A wrapper for the AMOS [R408] routine zbesh, which carries out the computation using the relation,

  \[H^{(1)}_v(z) = \frac{2}{\imath\pi} \exp(-\imath \pi v/2) K_v(z \exp(-\imath\pi/2))\]

  where \(K_v\) is the modified Bessel function of the second kind. For negative orders, the relation

  \[H^{(1)}_{-v}(z) = H^{(1)}_v(z) \exp(\imath\pi v)\]

  is used.

  References

  [R408] | (1, 2) Donald E. Amos, “AMOS, A Portable Package for Bessel Functions of a Complex Argument and Nonnegative Order”, http://netlib.org/amos/